Bug 1265356 - RFE for debug output for puppet agent -t
RFE for debug output for puppet agent -t
Status: CLOSED CANTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules (Show other bugs)
5.0 (RHEL 6)
Unspecified Unspecified
unspecified Severity medium
: ---
: 5.0 (RHEL 6)
Assigned To: Ivan Chavero
yeylon@redhat.com
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 14:11 EDT by Jeremy
Modified: 2016-04-18 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 10:02:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2015-09-22 14:11:40 EDT
Description of problem: 
RFE for more debug output for puppet agent -td. The customer would like to get more info with the facts being collected. So if it hangs getting info for a particular fact you can see it in the debug output. 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info: 
running puppet agent -td on forman server
Comment 1 Jeremy 2015-09-22 15:38:47 EDT
This was the facter code which was hanging and causing puppet agent to hang completely with no indication of why:

# cat gettarball.rb
require 'facter'

Facter.add("prodtarball") do
        setcode do
                Facter::Util::Resolution.exec("/usr/bin/wget -O - 2>&1 ftp://iam-utility.lab.dev.us.ml.com/forwarders/ti-infra-forwarders/ | grep Linux-x86_64 | awk -F'>' '{print $2}'|awk -F'.gz' '{print $1}'")
        end
end
Facter.add("labtarball") do
        setcode do
                Facter::Util::Resolution.exec("/usr/bin/wget -O - 2>&1 ftp://iam-utility.lab.dev.us.ml.com/forwarders/v621/ | grep Linux-x86_64 | awk -F'>' '{print $2}'|awk -F'.gz' '{print $1}'")
        end
end
Comment 2 Martin Magr 2015-10-22 10:02:26 EDT
I was not able to find neither prodtarball nor labtarball fact implementation in any Puppet module we ship. Neither in Puppet or Facter such facts exist, so that has to be customer specific facts probably. 

Debugging output can be implemented either in facts themselves or in Puppet itself. There is nothing we can do on Puppet module level unfortunately.

Note You need to log in before you can comment on or make changes to this bug.